import type Input from './input.vue';
import type { ExtractPropTypes, StyleValue } from 'vue';
export declare type InputAutoSize = {
    minRows?: number;
    maxRows?: number;
} | boolean;
export declare const inputProps: {
    readonly size: import("element-ps/es/utils").BuildPropReturn<StringConstructor, never, false, "" | "default" | "small" | "large", never>;
    readonly disabled: BooleanConstructor;
    readonly modelValue: import("element-ps/es/utils").BuildPropReturn<import("element-ps/es/utils").PropWrapper<string | number | null | undefined>, "", unknown, unknown, unknown>;
    readonly type: import("element-ps/es/utils").BuildPropReturn<StringConstructor, "text", unknown, unknown, unknown>;
    readonly resize: import("element-ps/es/utils").BuildPropReturn<StringConstructor, unknown, unknown, "none" | "both" | "horizontal" | "vertical", unknown>;
    readonly autosize: import("element-ps/es/utils").BuildPropReturn<import("element-ps/es/utils").PropWrapper<InputAutoSize>, false, unknown, unknown, unknown>;
    readonly autocomplete: import("element-ps/es/utils").BuildPropReturn<StringConstructor, "off", unknown, unknown, unknown>;
    readonly formatter: import("element-ps/es/utils").BuildPropReturn<FunctionConstructor, unknown, unknown, unknown, unknown>;
    readonly parser: import("element-ps/es/utils").BuildPropReturn<FunctionConstructor, unknown, unknown, unknown, unknown>;
    readonly placeholder: import("element-ps/es/utils").BuildPropReturn<StringConstructor, unknown, unknown, unknown, unknown>;
    readonly form: import("element-ps/es/utils").BuildPropReturn<StringConstructor, "", unknown, unknown, unknown>;
    readonly readonly: import("element-ps/es/utils").BuildPropReturn<BooleanConstructor, false, unknown, unknown, unknown>;
    readonly clearable: import("element-ps/es/utils").BuildPropReturn<BooleanConstructor, false, unknown, unknown, unknown>;
    readonly showPassword: import("element-ps/es/utils").BuildPropReturn<BooleanConstructor, false, unknown, unknown, unknown>;
    readonly showWordLimit: import("element-ps/es/utils").BuildPropReturn<BooleanConstructor, false, unknown, unknown, unknown>;
    readonly suffixIcon: import("element-ps/es/utils").BuildPropReturn<import("element-ps/es/utils").PropWrapper<string | import("vue").Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions>>, "", unknown, unknown, unknown>;
    readonly prefixIcon: import("element-ps/es/utils").BuildPropReturn<import("element-ps/es/utils").PropWrapper<string | import("vue").Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions>>, "", unknown, unknown, unknown>;
    readonly label: import("element-ps/es/utils").BuildPropReturn<StringConstructor, unknown, unknown, unknown, unknown>;
    readonly tabindex: import("element-ps/es/utils").BuildPropReturn<readonly [NumberConstructor, StringConstructor], unknown, unknown, unknown, unknown>;
    readonly validateEvent: import("element-ps/es/utils").BuildPropReturn<BooleanConstructor, true, unknown, unknown, unknown>;
    readonly inputStyle: import("element-ps/es/utils").BuildPropReturn<import("element-ps/es/utils").PropWrapper<StyleValue>, () => import("element-ps/es/utils").Mutable<{}>, unknown, unknown, unknown>;
    readonly widget: import("element-ps/es/utils").BuildPropReturn<StringConstructor, unknown, unknown, unknown, unknown>;
};
export declare type InputProps = ExtractPropTypes<typeof inputProps>;
export declare type InputInstance = InstanceType<typeof Input>;
